Bug 1568508 - Review Request: git-subrepo - Git Submodule Alternative
Summary: Review Request: git-subrepo - Git Submodule Alternative
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 16:14 UTC by Vitaly Zaitsev
Modified: 2018-04-18 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 17:21:43 UTC
Type: ---
vascom2: fedora-review+


Attachments (Terms of Use)

Description Vitaly Zaitsev 2018-04-17 16:14:02 UTC
Spec URL: https://github.com/EasyCoding/git-subrepo/raw/master/git-subrepo.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/6283/66283/git-subrepo-0.3.1-1.20170206gita7ee886.fc27.src.rpm
Description: This git command "clones" an external git repo into a subdirectory
of your repo.
Fedora Account System Username: xvitaly

Comment 1 Vasiliy Glazov 2018-04-18 06:51:01 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2.0)", "Unknown or generated". 184
     files have unknown license. Detailed output of licensecheck in
     /home/vascom/1568508-git-subrepo/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: git-subrepo-0.3.1-1.20170206gita7ee886.fc29.noarch.rpm
          git-subrepo-0.3.1-1.20170206gita7ee886.fc29.src.rpm
git-subrepo.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
git-subrepo.noarch: W: spelling-error %description -l en_US subdirectory -> sub directory, sub-directory, directory
git-subrepo.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
git-subrepo.src: W: spelling-error %description -l en_US subdirectory -> sub directory, sub-directory, directory
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
git-subrepo.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
git-subrepo.noarch: W: spelling-error %description -l en_US subdirectory -> sub directory, sub-directory, directory
git-subrepo.noarch: W: invalid-url URL: https://github.com/ingydotnet/git-subrepo <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
git-subrepo (rpmlib, GLIBC filtered):
    /usr/bin/bash
    git-core



Provides
--------
git-subrepo:
    git-subrepo



Source checksums
----------------
https://github.com/ingydotnet/git-subrepo/archive/a7ee886e0260e847dea6240eaa6278fb2f23be8a.tar.gz#/git-subrepo-a7ee886.tar.gz :
  CHECKSUM(SHA256) this package     : 017e469b1bf057d102d56d5df4ac173bad74bcff66c4888130cd7198839ae83a
  CHECKSUM(SHA256) upstream package : 017e469b1bf057d102d56d5df4ac173bad74bcff66c4888130cd7198839ae83a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1568508
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.